## org.eclipse.jet.core.expressions
Interface IEmbeddedExpression

    public interface IEmbeddedExpression

Protocol for embedded expression evaluators

Method Summary
`java.lang.String` `evalAsString(JET2Context context)` Return the expression value as a string
`boolean` `isText()` Test whether the expression contains nothing but text.

Method Detail

### evalAsString

    java.lang.String evalAsString(JET2Context context)
                                  throws JET2TagException

  Return the expression value as a string

  Parameters:
    `context` - the JET context in which from which variables are to be resolved
  Returns:
    a string value
  Throws:
    `JET2TagException` - if the expression cannot be evaluated

### isText

    boolean isText()

  Test whether the expression contains nothing but text.

  Returns:
    `true` if the expression is text only

Copyright 2006 IBM Corporation and others. All Rights Reserved.